Rename config => system-config for nodepool

We are renaming openstack-infra/config to
openstack-infra/system-config. This patch edits paths for
nodepool.

Change-Id: I75de3128e9d179b700df465726ed057439e5401e
This commit is contained in:
Anita Kuno 2014-10-03 17:34:19 -04:00 committed by Jeremy Stanley
parent 33fafbd5f7
commit 1cefee6026
5 changed files with 13 additions and 13 deletions

View File

@ -38,9 +38,9 @@ def main():
url='%s/%s.git' % (GIT_BASE, project))
projects_list.write("%(name)s git %(location)s %(url)s\n" % args)
# Clone openstack-infra/config again so that we can use it to build
# the image without interferring with the slave repo cache.
project = 'openstack-infra/config'
# Clone openstack-infra/system-config again so that we can use it to
# build the image without interferring with the slave repo cache.
project = 'openstack-infra/system-config'
args = dict(
name='config_tmp',
location=os.path.join('/opt/build_git', project),

View File

@ -44,7 +44,7 @@ EOF
# Use detailed exit codes to get that info and determine whether
# the return code indicates failure.
set +e
puppet apply --detailed-exitcodes --modulepath=/opt/build_git/openstack-infra/config/modules:/etc/puppet/modules /tmp/local.pp
puppet apply --detailed-exitcodes --modulepath=/opt/build_git/openstack-infra/system-config/modules:/etc/puppet/modules /tmp/local.pp
PUPPET_RETURN=$?
if [ "$PUPPET_RETURN" -eq 4 ] || [ "$PUPPET_RETURN" -eq 6 ] ; then
exit $PUPPET_RETURN

View File

@ -21,7 +21,7 @@ set -e
unset PIP_DOWNLOAD_CACHE
export PUPPET_VERSION=${PUPPET_VERSION:-'2'}
/bin/bash /opt/git/openstack-infra/config/install_puppet.sh
/bin/bash /opt/git/openstack-infra/config/install_modules.sh
/bin/bash /opt/git/openstack-infra/system-config/install_puppet.sh
/bin/bash /opt/git/openstack-infra/system-config/install_modules.sh
install -m 0755 -o root -g root $(dirname $0)/../bin/prepare-node /usr/local/bin

View File

@ -39,20 +39,20 @@ sudo mv /tmp/image-hostname.txt /etc/image-hostname.txt
if [ -f /usr/bin/yum ]; then
sudo yum -y install wget
fi
wget https://git.openstack.org/cgit/openstack-infra/config/plain/install_puppet.sh
wget https://git.openstack.org/cgit/openstack-infra/system-config/plain/install_puppet.sh
sudo bash -xe install_puppet.sh
sudo git clone --depth=1 $GIT_BASE/openstack-infra/config.git \
/root/config
sudo /bin/bash /root/config/install_modules.sh
sudo git clone --depth=1 $GIT_BASE/openstack-infra/system-config.git \
/root/system-config
sudo /bin/bash /root/system-config/install_modules.sh
set +e
if [ -z "$NODEPOOL_SSH_KEY" ] ; then
sudo puppet apply --detailed-exitcodes --modulepath=/root/config/modules:/etc/puppet/modules \
sudo puppet apply --detailed-exitcodes --modulepath=/root/system-config/modules:/etc/puppet/modules \
-e "class {'openstack_project::single_use_slave': sudo => $SUDO, thin => $THIN, python3 => $PYTHON3, include_pypy => $PYPY, all_mysql_privs => $ALL_MYSQL_PRIVS, }"
PUPPET_RET_CODE=$?
else
sudo puppet apply --detailed-exitcodes --modulepath=/root/config/modules:/etc/puppet/modules \
sudo puppet apply --detailed-exitcodes --modulepath=/root/system-config/modules:/etc/puppet/modules \
-e "class {'openstack_project::single_use_slave': install_users => false, sudo => $SUDO, thin => $THIN, python3 => $PYTHON3, include_pypy => $PYPY, all_mysql_privs => $ALL_MYSQL_PRIVS, ssh_key => '$NODEPOOL_SSH_KEY', }"
PUPPET_RET_CODE=$?
fi

View File

@ -13,4 +13,4 @@
# See the License for the specific language governing permissions and
# limitations under the License.
docker.io run --privileged=true -v ~/.cache:/.cache -v $(git rev-parse --show-toplevel):/opt/config -w /opt/config -i -t openstack_infra/ubuntu /bin/bash tools/build-image.sh
docker.io run --privileged=true -v ~/.cache:/.cache -v $(git rev-parse --show-toplevel):/opt/system-config -w /opt/system-config -i -t openstack_infra/ubuntu /bin/bash tools/build-image.sh